get warmup participation profile
Read the account's confirmed participation facts and community portfolio. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
Read the account's confirmed participation facts and community portfolio. Cache policy: live. Idempotency: none. Auth modes: api_key, mcp_oauth, session_bearer.
Rankhog organization API key sent as Authorization: Bearer rhog_....
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/agent/v1/growth/get-warmup-participation-profile" \ -H "Content-Type: application/json" \ -d '{ "organizationId": "org_demo", "websiteId": "site_demo", "managedRedditAccountId": "mra_demo" }'{ "excludedTopics": [], "experienceFacts": [], "interests": [ "software" ], "languages": [ "en" ], "topics": [], "trustChecklist": { "accountIdentityVerified": false, "noActiveSafetyIssue": false, "normalDeviceNetworkConfirmed": false, "productContextAvailable": false, "redditEmailVerified": false }, "redditAccountId": "ra_demo", "redditUsername": "demo", "communityPortfolio": [], "complete": false, "confirmedAt": null, "version": 0, "profileCompletion": { "eligibleCommunityCount": 0, "topicCount": 0 }}{ "error": { "code": "agentic_invalid_input", "message": "Invalid capability input." }}{ "error": { "code": "agentic_unauthorized", "message": "Authentication is required." }}{ "error": { "code": "agentic_missing_scope", "message": "The required permission has not been granted." }}{ "error": { "code": "agentic_website_not_found", "message": "Product not found." }}update draft profile POST
Update writing settings. Omitted fields retain their current values. Changing the review prompt additionally requires growth:safety:write. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.
update warmup participation profile POST
Replace participation facts. Confirm only facts supplied or verified by the customer; changing the trust checklist additionally requires growth:safety:write. Cache policy: live. Idempotency: required. Auth modes: api_key, mcp_oauth, session_bearer.